<?php

declare(strict_types=1);

namespace Cin\Quickpurchase\classes;

use ReturnTypeWillChange;
use stdClass;

/**
 * @property int id
 * @property string key
 * @property string name
 * @property string formula
 */
final class HistoryCondition // extends stdClass
{
  private object $j;

  public function __construct(stdClass $instance)
  {
    $this->j = $instance;
  }

  #[ReturnTypeWillChange]
  public function __get($member)//: mixed
  {
    return $this->j->{$member} ?? null;
  }

  public function __set($name, $value): void
  {
    $this->j->{$name} = $value;
  }
}
